%   Script BEOBOSZ.M zur Herstellung von Bildern
%
%   Beobachtbarkeit eines Oszillators
%
%  verwendet EPSBILD.M
%
% J. Lunze
% 24.11.1996
% fr 2. Auflage: 16.12.2001
% fr 3. Auflage: 15.3.2004
% fr 5. Auflage: 18.10.2007
% fr 7. Auflage: 31.3.2012
% fr 8. Auflage: 1.4.2014
% fr 10. Auflage: 3.9.2019
%
%
clear
close all
A = [0  1
     -1 0 ];
C = [1 0];
x01=[1
     1 ];
x02=[1
     0 ];

figure(1)
subplot(3,1,[1,2]);
T=0:0.1:20;
Oszillator1=ss(A, zeros(2,1), C, 0);
Y1=initial(Oszillator1, x01, T);
[Y2, T, X]=initial(Oszillator1, x02, T);
[Ad, Bd]=c2d(A, zeros(2,1), pi);
[Yd, Xd]=dinitial(Ad, Bd, C, 0, x01);
Td=pi*[0:10];
plot(T, Y1,'b', T, Y2, 'b--', Td, Yd([1:11],1), 'bo', [0 20], [0 0], 'k:');
axis([0 20 -2 2]);
xticks([0 5 10 15 20]);
yticks([-2 -1 0 1 2]);
latextitle('Ausgangsgr\"osse des Oszillators');
latexylabel('$$y$$');
rotateY;
latexxlabel('$$t$$');


%
%   .EPS- und .PS-Files
%
Epsbildc15('beobosz')
