%   Script BSPAHL.M zur Erzeugung von Beispieldaten
%
%    AHL-Anlage
%
%
% J. Lunze
% 21.3.1996
% fr 3. Auflage: 8.11.2003
% fr 5. Auflage: 1.1.2008
% fr 10. Auflage: 3.9.2019
%
%
clear A B C D n m r
%%
%
%   Beispiel: AHL-Anlage
%
%   Daten aus (Lunze, v.Kurnatowski msr 1987 (zeitdiskret)
%               --> Lunze 1988 (kontinuierlich) )
%
%        Eingang: u1 = Zuflumenge der Harnstofflsung in m^3/h
%                 u2 = Temperatur des Eingangsgemisches in ^oC
%                      (Sollwert fr unterlagerten Regelkreis)
%        Ausgang: y1 = Konzentration des im Harnstoff gebundenen 
%                      Stickstoffs im Produkt in %
%                 y2 = Stickstoffkonzentration im Produkt in %
%
%        Zeit in Minuten
%
%   AHLAnlage = ss(A, B, C, D)  Zustandsraummodell
%
%
%             Modell fr Zeiteinheit Sekunden
%             Daten aus o.g. Literaturstelle; System ist nicht vollstndig
%             steuerbar
%
A = [-0.00606    0      0        0       0        0        0        0
      0.00166 -0.00166  0        0       0        0        0        0
          0      0   -0.00641    0       0        0        0        0
          0      0    0.00084 -0.00084   0        0        0        0
          0      0      0        0    -0.00641    0        0        0
          0      0      0        0     0.00166 -0.00166    0        0
          0      0      0        0       0        0     -0.00084    0
          0      0      0        0       0        0      0.0004  -0.0004 ];
B = [0.00606     0;
       0         0;
       0       0.00641;
       0         0;
     0.00641     0;
       0         0;
       0        0.00084;
       0         0];
C = [ 0  2.2  0  0.033  0      0     0      0
      0  0    0    0    0   -0.26    0    0.09 ];
D = [0 0
     0 0];
n=8;
m=2;
r=2;
%       Umrechnung auf Zeiteinheit Minuten
%
k=60;
A=k*A;
B=k*B;
AHLAnlage=ss(A, B, C, D);
