%   Script BSPDE.M zur Erzeugung von Beispieldaten
%
%    Dampferzeuger
%
%  verwendet EPSBILD.M
%  Daten aus BSPDE.M
%
% J. Lunze
% 14.3.1996
% fr 3. Auflage: 4.11.2003
% fr 5. Auflage: 1.1.2008
% fr 10. Auflage: 3.9.2019
%
%
clear A B C D n m r Dampferzeuger zs11 ns11 zs12 ns12 zs21 ns21 zs22 ns22
%%
%
%   Beispiel: Dampferzeuger mit Leistung von 100 t/h fr 27 MW-Turbine
%             Nenndruck: 0,1 MPa
%
%   Stellgrenbeschrnkung: u_1: 10 t/h
%                            u_2: 200 1/min
%
%
%        Eingang: u1 = Frischwassereinspeisung in t/h
%                 u2 = Brennstoffzufuhr (Zuteilerdrehzahl) in 1/min
%        Ausgang: y1 = Dampfdruck in MPa
%                 y2 = Dampftemperatur in K
%
%        Zeit in Minuten
%
%   G(s) = [zs11/ns11  zs12/ns12;
%           zs21/ns21  zs22/ns22]
%   [A B C D]  Zustandsraummodell
%
A = [-0.1000        0         0         0         0         0;
          0   -0.0500         0         0         0         0;
          0         0   -0.0250         0         0         0;
          0         0         0   -0.0370         0         0;
          0         0         0         0   -0.0385         0;
          0         0         0         0         0   -0.0385];
B = [1     0;
     0     1;
     0     1;
     1     0;
     0     1;
     1     0];
C = [ -0.1286   -0.0055         0    0.1286    0.0055         0;
       0.0163   -0.0045    0.0045         0         0   -0.0163 ];
D = [0 0 ; 
     0 0];
n=6;
m=2;
r=2;
Dampferzeuger=ss(A, B, C, D);
zs11=[2.2*0.037*0.1];
ns11=poly([-0.037 -0.1]);
zs12=[0.033*0.0385*0.05];
ns12=poly([-0.0385 -0.05]);
zs21=[-0.26*0.0385*0.1];
ns21=poly([-0.0385 -0.1]);
zs22=[0.09*0.05*0.025];
ns22=poly([-0.05 -0.25]);
