%   Script BSPFUREG.M zur Erzeugung von Beispieldaten
%
%    Frequenz-bergabeleistungs-Verhalten eines Elektroenergienetzes
%
%  verwendet EPSBILD.M
%  Daten aus BSPFU.M
%
% J. Lunze
% 16.10.1996
% fr Auflage 3: 11.10.2003
% fr 5. Auflage: 18.10.2007
% fr 10. Auflage: 3.9.2019
%
%
clear A B C D E F n m r C1 C2 C3 CE FE1 FE2 FE3 FE 
%%
%
%   Beispiel: 3 gekoppelte Elektroenergienetze
%
%        Eingnge  u: Sollwert der Leistungsregler in drei Netzen
%        Strungen d: Lastnderungen in den 3 Netzen
%        Ausgnge  y: Frequenz
%                     3 bergabeleistungen
%                     4 Generatorleistungen
%

% Zeit in s
% Frequenz x1 in mHz
% Leistung in MW

A = [
 -0.1088  0.1046 0   0.0523  0.1046 0.1046 0.1046  0      0.1046 0.1046
 -0.0843 -0.1667 0   0       0      0      0       0      0      0
 -0.0662  0      0  -0.125  -0.25   0      0       0      0      0
 -0.3313  0     1.25 -1.875 -1.25   0      0       0      0      0
  0       0      0   0.0625 -0.125  0      0       0      0      0
 -0.0021  0      0   0       0     -0.1    0       0      0      0
 -0.0015  0      0   0       0      0      0       1      0      0
  0       0      0   0       0      0     -0.0024 -0.0588 0      0
 -0.2250  0      0   0       0      0      0       0     -0.2    0
 -0.1520  0      0   0       0      0      0       0      0     -0.18
   ];
B=[ 0      0    0
    0      0    0
    0.1928 0    0
    0.9628 0    0
    0      0    0
    0.0067 0    0
    0.0048 0    0
    0.0001 0    0
    0      0.2  0
    0      0    0.18];
C=[
  1      0     0  0      0      0      0      0  0      0
  0.035  0.658 0  0.329  0.658  0.658  0.658  0 -0.342 -0.342
 -0.003 -0.41  0 -0.205 -0.41  -0.41  -0.41   0  0.59  -0.41
 -0.032 -0.248 0 -0.124 -0.248 -0.248 -0.248  0 -0.248  0.752
  0      1     0  0      0      0      0      0  0      0
  0      0     0  0.5    1      0      0      0  0      0
  0      0     0  0      0      1      0      0  0      0
  0      0     0  0      0      0      1      0  0      0
  ];
D=zeros(8, 3);
E=[ -0.1046 -0.1046 -0.1046
     0       0       0
     0       0       0
     0       0       0
     0       0       0
     0       0       0
     0       0       0
     0       0       0
     0       0       0
     0       0       0 ];
F=[  0     0      0
    -0.658 0.342  0.342
     0.41 -0.59   0.41
     0.248 0.248 -0.752
     0     0      0
     0     0      0
     0     0      0
     0     0      0 ];

n=10;
m=3;
r=8;
%    Berechnung des Netzkennlinienfehlers  P_ti + k_i*f  als Ausgangsgren
k1=1.163;
k2=1.555;
k3=1.134;
C1=C(2, 1:10) + k1*C(1,1:10);  % Netzkennlinienfehler des 1. Teilnetzes
C2=C(3, 1:10) + k2*C(1,1:10);
C3=C(4, 1:10) + k3*C(1,1:10);
CE=[C1
    C2
    C3];                       % 3 Netzkennlinienfehler als Vektor
DE=zeros(3,3);
FE1=F(2,1:m) + k1*F(1,1:m);
FE2=F(3,1:m) + k2*F(1,1:m);
FE3=F(4,1:m) + k3*F(1,1:m);
FE=[FE1; FE2; FE3];
E1=E(1:10, 1);                 % in Zustandsgleichung: ...+E1*d1  mit d1=Lastnderung im 1. Teilnetz
E2=E(1:10, 2);
E3=E(1:10, 3);
