%   Script BSPGAAS.M zur Erzeugung von Beispieldaten
%   
%    GaAs-Schmelze
%
% J. Lunze  
% 1.11.1996
% fr 3. Auflage: 11.11.2003
% fr 5. Auflage: 18.10.2007
% fr 10. Auflage: 3.9.2019
%
%
clear A B C D E L Cz n m r 
%%
% 
%   Beispiel: Kristallz\"uchtungsofen fr GaAs
%
%       3 Eingnge  u: Spannung der Heizwendel
%       3 Ausgnge  y: Temperatur in Heizzone
%
%  Modell (A33, B33, C33, D33) fr (3,3)-System
%  Modell (A, B, C, D) fr (5,5)-System
%

% Zeit in min
% Spannungen in V
% Temperatur(differenz) in Kelvin

% Modelle der entkoppelten Teilsysteme
Aii = [-1/3 0
       0  -1/40];
Bii=4.005*[1/3;
           1/40];
Eii=Bii;
Cii=[0.2 0.8];
Czi=Cii;
Dii=0;
% Koppelbeziehung
L33 = [-6.01  3.96  1.15  
       3.96  -8.34  3.96
       1.15   3.96 -6.01 ];
Null=zeros(2,2);
NullV=zeros(2,1);
% Modell fr drei gekoppelte Heizzonen
A33 = [Aii Null Null; Null Aii Null; Null Null Aii];
E33 = [Eii NullV NullV; NullV Eii NullV; NullV NullV Eii];
Cz33 = [Czi NullV' NullV'; NullV' Czi NullV'; NullV' NullV' Czi];
A33= A33 + E33*L33*Cz33;
B33 = E33;
C33 = Cz33;
D33 = zeros(3,3);
n33=6;
m33=3;
r33=3;
%Statikmatrix des Systems mit 5 Heizzonen
Ks = [0.42 0.32 0.28 0.23 0.19
      0.32 0.41 0.32 0.28 0.23
      0.28 0.32 0.41 0.32 0.28
      0.23 0.28 0.32 0.41 0.32
      0.19 0.23 0.28 0.32 0.42];
k1= 1/4.005;
L = diag([k1 k1 k1 k1 k1]) - inv(Ks);
%  Korrektur der Koppelmatrix
L(1,4) = 0;
L(1,5) = 0;
L(2,5) = 0;
L(4,1) = 0;
L(5,1) = 0;
L(5,2) = 0;

Null=zeros(2,2);
NullV=zeros(2,1);
A = zeros(10, 10);
E = zeros(10, 5);
Cz = zeros(5, 10);
for k=0:4
   A(2*k+1:2*k+2, 2*k+1:2*k+2) = Aii;
   E(2*k+1:2*k+2, k+1) = Eii;
   Cz(k+1, 2*k+1:2*k+2) = Czi;
end;
A= A + E*L*Cz;
B = E;
C = Cz;
D = zeros(5,5);
n=10;
m=5;
r=5;
