%   Script BSPMAGN.M zur Erzeugung von Beispieldaten
%   
%    Magnetschwebebahn
%
% J. Lunze  
% 15.8.1996
% fr 3. Auflage: 9.11.2003
% fr 5. Auflage: 18.10.2007
% fr 10. Auflage: 12.9.2019
%
%
clear A B C D n m r Transrapid
%%
% 
%   Beispiel: Magnetschwebebahn
%
           
%
%        Eingang:  u  = Spannung am Tragemagnet in V
%        Zustnde: x1 = Abstand Tragemagnet - Schiene in mm
%                  x2 = Abstand Kabine - Tragemagnet in mm
%                  x3 = dx1/dt  in mm/s
%                  x4 = dx2/dt  in mm/s
%                  x5 = Magnetkraft in N
%        Ausgang:  y1 = x1 in mm
%
%        Zeit in Sekkunden
%
%   [A B C D]  Zustandsraummodell
%
A = [     0        0         1         0         0;
          0        0         0         1         0;
        -50.67   50.67     -4.9      4.9     -2.26e-3;
         25.25  -25.25      2.44    -2.44        0;   
        -6.4e6     0        2.1e5      0        -3.26];

B = [  0
       0
       0
       0
     -1440];

C = [ 1 0 0 0 0 ];
D = [0];
n=5;
m=1;
r=1;
Transrapid=ss(A, B, C, D);
