%   Script BSPPEND.M zur Erzeugung von Beispieldaten
%   
%    Invertiertes Pendel
%    (Beispiel aus RT1)
% J. Lunze  
% 14.3.1996                   (Daten wie 17.11.1995)
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.10.2007
% fr 10. Auflage: 3.9.2019
%
%
clear A b c d n m r A1 b1 c1 d1 n1 m1 r1 invPendel invPendelBeobb
%%
% 
%   Beispiel: Invertiertes Pendel
%
%        Eingang: Kraft an Wagen (Spannung an E-Motor) in N
%        Ausgang: Winkel                               in rad
%
%   Zustandsraummodell mit A, b, c, d
%   (nicht vollstndig beobachtbar!)
%
%
%g = 9.81;  % m/s^2
%mw = 3.2;  % kg
%m = 0.3;   % kg
%l = 0.5;   % m
            % Zeit in s


%%
% Zustnde: Position des Wagens, Winkel
%           Geschwindigkeit, Winkelgeschwindigkeit
%
A = [0  0        1        0
     0  0        0        1
     0  -0.88   -1.9    0.0056
     0  21.5     3.9    -0.14];
b = [0
     0 
     0.3
     -0.62];
c=[0 1 0 0];
d=[0];
n=4;
m=1;
r=1;
invPendel=ss(A, b, c, d);
%%
%
%  vollstndig beobachtbarer Teil: A1, b1, c1, d1    
%  Zustnde:  Winkel
%           Geschwindigkeit, Winkelgeschwindigkeit
%
A1 = [
     0        0        1
     -0.88   -1.9    0.0056
     21.5     3.9    -0.14];
b1 = [
     0 
     0.3
     -0.62];
c1=[1 0 0];
d1=[0];
n1=3;
m1=1;
r1=1;
invPendelBeobb=ss(A1, b1, c1, d1);
