%   Script BSPUQREG.M zur Erzeugung von Beispieldaten
%   
%    Spannungs-Blindleistungs-Verhalten eines Elektroenergienetzes
%
% J. Lunze  
% 16.10.1996
% fr 3. Auflage: 10.11.2003
% fr 5. Auflage: 18.10.2007
% fr 10. Auflage: 3.9.2019
%
%
clear Aii Bii Eii Cii Czi L A B C D n m r
%%
% 
%   Beispiel: 3 Kraftwerke an einem Netz
%
%       3 Eingnge  u: Sollwert der Klemmenspannungsregler
%       3 Ausgnge  y: Knotenspannungen
%
%   Modell (A, B, C, D)
%

% Zeit in s
% Spannungen in kV


Aii = [-1.94 -0.16 0
        2.58   0   0
         0     0   -2  ];
Bii=[0.9
     -1
      0 ];
Eii=[-0.33
     -0.015
       2];
Cii=[0 0 1];
Czi=[2.55 0 0];
L = [0.600  0.193 0.154
     0.193  0.720 0.132
     0.154  0.132 0.415 ];
Null = zeros(3,3);
Nullz = zeros(1,3);
Nulls = zeros(3,1);
A = [Aii Null Null; Null Aii Null; Null Null Aii];
A = A + [Eii Nulls Nulls; Nulls Eii Nulls; Nulls Nulls Eii]*L*[Czi Nullz Nullz; Nullz Czi Nullz; Nullz Nullz Czi];
B = [Bii Nulls Nulls; Nulls Bii Nulls; Nulls Nulls Bii];
C = [Cii Nullz Nullz; Nullz Cii Nullz; Nullz Nullz Cii];
D = zeros(3,3);
n=9;
m=3;
r=3;
