%   Script DEHOCHS.M zur Herstellung von Bildern
%
%   e-Funktionsfolgen
%
%  verwendet EPSBILD.M
%  Daten aus EHOCHST.M
%
% J. Lunze
% 6.1.1997
% fr 2. Auflage: 16.12.2001
% fr 3. Auflage: 15.3.2004
% fr 5. Auflage: 18.10.2007
% fr 7. Auflage 31.3.2012
% fr 10. Auflage: 3.9.2019
%
%  erst fr Re(s) <=> 0
%
%
clear
close all
delta1=0.015;
delta2=0;
delta3=-0.02;
omega=0.5;
T=[0:0.5:100];
Tsize=size(T);
for k=1:Tsize(2)
   E1(k) = exp(delta1*T(k))*sin(omega*T(k));
   E2(k) = exp(delta2*T(k))*sin(omega*T(k));
   E3(k) = exp(delta3*T(k))*sin(omega*T(k));
end;

figure(1);
subplot(6,1,[1,2]);
plot(T, E1, 'b.', [0 100], [0 0], 'k:');
xleer;
axis([0 60 -2 2]);
%xticks([]);
%yticks([]);
latextitle('Sinusfolgen mit unterschiedlicher D\"ampfung');
yleer;
latexylabel('$$y$$');
rotateY;
subplot(6,1,[3,4]);
plot(T, E2, 'b.', [0 100], [0 0], 'k:');
xleer;
axis([0 60 -2 2]);
%xticks([]);
%yticks([]);
yleer;
latexylabel('$$y$$');
rotateY;
subplot(6,1,[5,6]);
plot(T, E3, 'b.', [0 100], [0 0], 'k:');
axis([0 60 -2 2]);
%xticks([]);
%yticks([]);
xleer;
latexxlabel('$$k$$');
yleer;
latexylabel('$$y$$');
rotateY;

%
%       Herstellung von Bild-Dateien
%
Epsbildc15('dehochs');
