%   Script DNAGAAS.M zur Herstellung von Bildern
%
%    Dezentrale Regelung der Kristallschmelze (DNA-Entwurf)
%
% verwendet BSPGAAS.M, EPSBILD.M
%
%
% J. Lunze
% 1.11.1996
% fr 2. Auflage: 15.12.2001
% fr 3. Auflage: 25.3.2004
% fr 5. Auflage: 18.10.2007
% fr 6. Auflage: 5.1.2010
% fr 7. Auflage: 25.5.2012
% fr 8. Auflage: 1.4.2014
% fr 10. Auflage: 26.3.2020
%
%
clear
close all
Bspgaas;    % Modell (A, B, C, D) fr 5 Heizzonen

%%   bergangsfunktionen des Ofens mit 5 Heizzonen
%
%
figure(1);
Ofenfuenf=ss(A, B, C, D);
T=0:0.1:60;
Y=step(Ofenfuenf, T);
subplot(5,5,1)
plot(T, Y(:,1,1), 'b', [0 120], [0 0],'k:');
xleer;
latexylabel('$$h_{11}$$'); % in K
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
latextitle('GaAs-Anlage');
subplot(5,5,2)
plot(T, Y(:,1,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{12}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,3)
plot(T, Y(:,1,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{13}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
latextitle('5 Zonen');
subplot(5,5,4)
plot(T, Y(:,1,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{14}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,5)
plot(T, Y(:,1,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{15}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,6)
plot(T, Y(:,2,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{21}$$'); % in K
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,7)
plot(T, Y(:,2,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{22}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,8)
plot(T, Y(:,2,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{23}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,9)
plot(T, Y(:,2,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{24}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,10)
plot(T, Y(:,2,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{25}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,11)
plot(T, Y(:,3,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{31}$$'); % in K
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,12)
plot(T, Y(:,3,2), 'b', [0 120],[0 0],'k:');
yleer;
xleer;
%latexylabel('$$h_{32}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,13)
plot(T, Y(:,3,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{33}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,14)
plot(T, Y(:,3,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{34}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,15)
plot(T, Y(:,3,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{35}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,16)
plot(T, Y(:,4,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{41}$$'); % in K
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,17)
plot(T, Y(:,4,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{42}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,18)
plot(T, Y(:,4,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{43}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,19)
plot(T, Y(:,4,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{44}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,20)
plot(T, Y(:,4,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{45}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(5,5,21)
plot(T, Y(:,5,1), 'b', [0 120],[0 0],'k:');
latexylabel('$$h_{51}$$'); % in K
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
xticks([0 50]);
%latexxlabel('$$t$$ in min');
subplot(5,5,22)
plot(T, Y(:,5,2), 'b', [0 120],[0 0],'k:');
yleer;
%latexylabel('$$h_{52}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
xticks([0 50]);
%yticks([]);
%xleer;
%latexxlabel('$$t$$ in min');
subplot(5,5,23)
plot(T, Y(:,5,3), 'b', [0 120],[0 0],'k:');
yleer;
%latexylabel('$$h_{53}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
xticks([0 50]);
%yticks([]);
latexxlabel('$$t$$ in min');
subplot(5,5,24)
plot(T, Y(:,5,4), 'b', [0 120],[0 0],'k:');
yleer;
%latexylabel('$$h_{54}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
xticks([0 50]);
%yticks([]);
%xleer;
%latexxlabel('$$t$$ in min');
subplot(5,5,25)
plot(T, Y(:,5,5), 'b', [0 120],[0 0],'k:');
yleer;
%latexylabel('$$h_{55}$$');
%rotateY;
axis([0 60 -0.2 1.0]);
xticks([0 50]);
%yticks([]);
%latextitle('\"Ubergangsfunktionsmatrix der GaAs-Anlage');
%xleer;
%latexxlabel('$$t$$ in min');


%  Entkopplung durch Ks^-1
B = B*inv(dcgain(Ofenfuenf));    % alle weiteren Untersuchungen mit dem entkoppelten System


%%  Regler fr das Teilsystem 3
%
%
figure(2);
i=3;
Teilsystem3=ss(A, B(:,i), C(i, :), 0);
[Betrag, Phase, Omega]=bode(Teilsystem3);
subplot(4,1,[1,2]);;
semilogx(Omega, 20*log10(Betrag(:)), 'b');
hold on;
latextitle('Dritte Heizzone mit Entkopplung');
latexylabel('$$|G_{33}|$$ in dB');
rotateY;
xleer;
grid on;
hold off;
yticks([-20 0]);
subplot(4,1,[3,4]);;
semilogx(Omega, Phase(:), 'b');
latexylabel('$${\rm arg}(G_{33})$$');
rotateY;
xticks([0.01 0.1 1 10 100]);
yticks([-90 -45 0]);
latexxlabel('$$\omega$$ in $${\rm rad/s}$$'); %  in $$\frac{\rm rad}{\rm s}$$
grid on;
hold on;


%%   Fhrungsbergangsfunktion der dritten Heizzone
%
%
figure(3);
subplot(4,1,[1,2]);
KP(3,3)=1;
KI(3,3)=1;
Ag=[A-B(:,i)*KP(i,i)*C(i,:) -B(:,i)*KI(i,i); C(i,:) 0];
Bg=[B(:,i)*KP(i,i); -1];
Cg=[C(i,:) 0];
Dg=0;
T = [0:0.1:15];
geregelteZonedrei=ss(Ag, Bg, Cg, Dg);
Y=step(geregelteZonedrei, T);
plot(T, Y(:), 'b', [0 10],[1 1],'k:');
latexylabel('$$h_{\rm w33}$$ in K');
rotateY;
%latexxlabel('$$t$$ in min');
xleer;
latextitle('F\"uhrungs\"ubergangsfunktion der dritten Zone');
axis([0 10 0 1.4]);
yticks([0 1]);
%
subplot(4,1,[3,4]);
geregelteZonedreiStellgr=ss(Ag, Bg, [KP(i,i)*C(i,:) KI(i,i)], KP(i,i));
U=step(geregelteZonedreiStellgr,T);
plot(T, U(:), 'b', [0 10],[0 0],'k:');
axis([0 15 0 1.3]);
yticks([0 1]);
xticks([0 5 10 15 20]);
latexxlabel('$$t$$ in min');
latexylabel('$$u_3$$ in V');
rotateY;



% dieselben Regler fr alle Zonen
KPi = KP(3,3);
KIi = KI(3,3);
KP = diag([KPi KPi KPi KPi KPi]);
KI = diag([KIi KIi KIi KIi KIi]);

%%  berprfung der Diagonaldominanz der Rckfhrdifferenzmatrix
%
%
figure(5);
subplot(4,1,[1,2]);
A0 = [A zeros(n, m); C zeros(m,m)];
B0 = [B; zeros(m, m)];
C0 = [KP*C KI];
D0 = eye(m,m);
W=logspace(-3, 2, 150);
Wsize=max(size(W));
Rueckfuehrdifferenzmatrix=ss(A0, B0, C0, D0);
[G, Phase]=bode(Rueckfuehrdifferenzmatrix, W);
for k=1:Wsize
   FF=[0       G(1,1,k) G(1,2,k) G(1,3,k) G(1,4,k)
       G(2,1,k) 0       G(2,3,k) G(2,4,k) G(2,5,k)
       G(3,1,k) G(3,2,k) 0       G(3,4,k) G(3,5,k)
       G(4,1,k) G(4,2,k) G(4,3,k) 0       G(4,5,k)
       G(5,1,k) G(5,2,k) G(5,3,k) G(5,4,k) 0      ];
   PMatrix = inv(diag([G(1,1,k) G(2,2,k) G(3,3,k) G(4,4,k) G(5,5,k)]))*FF;
   LambdaP(k,1) = max(abs(eig(PMatrix)));
end;
semilogx(W, LambdaP, 'b');
latexxlabel('$$\omega$$ in $${\rm rad/s}$$'); %  in $$\frac{\rm rad}{\rm s}$$
latexylabel('$$\lambda_{\rm P}$$');
rotateY;
latextitle('Perronwurzel f\"ur Pr\"ufung der Diagonaldominanz');
axis([0.001 100 0 1]);
xticks([0.0001 0.001 0.01 0.1 1 10 100]);
yticks([0 1]);
grid on;




%%    Verhalten des dezentral geregelten Systems
%
%
figure(6)
subplot(6,1,[1,2]);
%    Geschlossener Regelkreis: (Ag, Bg, Cg, Dg)
Ag=A0 - B0*C0;
Bg=[B*KP; -eye(m,m)];
Cg=[C zeros(m,m)];
Dg=zeros(m,m);
geregelterOfenfuenf=ss(Ag, Bg, Cg, Dg);
Y=step(geregelterOfenfuenf, T);
plot(T, Y(:,1,1), 'b');
latextitle('F\"uhrungsverhalten der ersten drei Heizzone');
%latexxlabel('$$t$$ in min');
xleer;
latexylabel('$$h_{\rm w11}$$ in K');
rotateY;
yticks([0 1]);
axis([0 10 -0.1 1.2]);
%
subplot(6,1,[3,4]);
plot(T, Y(:,2,2), 'b');
%latextitle('F\"uhrungsverhalten der zweiten Heizzone');
%latexxlabel('$$t$$ in min');
xleer;
latexylabel('$$h_{\rm w22}$$ in K');
rotateY;
yticks([0 1]);
axis([0 10 -0.1 1.2]);
%
subplot(6,1,[5,6]);
plot(T, Y(:,3,3), 'b');
%latextitle('F\"uhrungsverhalten der dritten Heizzone');
latexxlabel('$$t$$ in min');
axis([0 10 -0.1 1.2]);
latexylabel('$$h_{\rm w33}$$ in K');
rotateY;
yticks([0 1]);
xticks([0 2 4 6 8 10]);


%%    Fhrungsbergangsfunktionen des Ofens mit 5 Heizzonen
%
%
figure(7);
subplot(5,5,1)
plot(T, Y(:,1,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{\rm w11}$$');
rotateY;
yticks([0 1]);
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,2)
plot(T, Y(:,1,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w12} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,3)
plot(T, Y(:,1,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w13} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
latextitle('Geregelte GaAs-Anlage');
subplot(5,5,4)
plot(T, Y(:,1,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w14} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,5)
plot(T, Y(:,1,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w15} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,6)
plot(T, Y(:,2,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{\rm w21}$$');
rotateY;
yticks([0 1]);
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,7)
plot(T, Y(:,2,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{\rm w22}$$ in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,8)
plot(T, Y(:,2,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w23} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,9)
plot(T, Y(:,2,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w24} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,10)
plot(T, Y(:,2,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w25} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,11)
plot(T, Y(:,3,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{\rm w31}$$');
rotateY;
yticks([0 1]);
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,12)
plot(T, Y(:,3,2), 'b', [0 120],[0 0],'k:');
yleer;
xleer;
%ylabel('{\it h}_{w32} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,13)
plot(T, Y(:,3,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%latexylabel('$$h_{\rm w33}$$ in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,14)
plot(T, Y(:,3,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w34} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,15)
plot(T, Y(:,3,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w35} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,16)
plot(T, Y(:,4,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{\rm w41}$$');
rotateY;
yticks([0 1]);
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,17)
plot(T, Y(:,4,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w42} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,18)
plot(T, Y(:,4,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w43} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,19)
plot(T, Y(:,4,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w44} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,20)
plot(T, Y(:,4,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it h}_{w45} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
%xticks([]);
%yticks([]);
subplot(5,5,21)
plot(T, Y(:,5,1), 'b', [0 120],[0 0],'k:');
latexylabel('$$h_{\rm w51}$$');
rotateY;
yticks([0 1]);
axis([0 10 -0.2 1.2]);
xticks([0 5 10]);
%yticks([]);
%latexxlabel('$$t$$ in min');
subplot(5,5,22)
plot(T, Y(:,5,2), 'b', [0 120],[0 0],'k:');
yleer;
%ylabel('{\it h}_{w52} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
xticks([0 5 10]);
%yticks([]);
%latexxlabel('$$t$$ in min');
subplot(5,5,23)
plot(T, Y(:,5,3), 'b', [0 120],[0 0],'k:');
yleer;
%ylabel('{\it h}_{w53} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
xticks([0 5 10]);
%yticks([]);
latexxlabel('$$t$$ in min');
subplot(5,5,24)
plot(T, Y(:,5,4), 'b', [0 120],[0 0],'k:');
yleer;
%ylabel('{\it h}_{w54} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
xticks([0 5 10]);
%yticks([]);
%latexxlabel('$$t$$ in min');
subplot(5,5,25)
plot(T, Y(:,5,5), 'b', [0 120],[0 0],'k:');
yleer;
%ylabel('{\it h}_{w55} in K');
%rotateY;
axis([0 10 -0.2 1.2]);
xticks([0 5 10]);
%yticks([]);
%latexxlabel('$$t$$ in min');



%%
%
%   Verlauf der Stellgren des Ofens mit 5 Heizzonen
%
%
figure(8);
geregelterOfenfuenfStellgr=ss(Ag, Bg, [KP*C KI], KP);
U=step(geregelterOfenfuenfStellgr,T);
subplot(5,5,1)
plot(T, U(:,1,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$u_{\rm w11}$$');  % in V
rotateY;
axis([0 10 -0.5 1.3]);%xticks([]);
yticks([0 1]);

subplot(5,5,2)
plot(T, U(:,1,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w12} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
%xticks([]);
%yticks([]);
%
subplot(5,5,3)
plot(T, U(:,1,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w13} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
%xticks([]);
%yticks([]);
latextitle('Geregelte GaAs-Anlage');
subplot(5,5,4)
plot(T, U(:,1,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w14} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,5)
plot(T, U(:,1,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w15} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,6)
plot(T, U(:,2,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$u_{\rm w21}$$');  % in V
rotateY;
axis([0 10 -0.5 1.3]);
yticks([0 1]);
subplot(5,5,7)
plot(T, U(:,2,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w22} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,8)
plot(T, U(:,2,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w23} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,9)
plot(T, U(:,2,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w24} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,10)
plot(T, U(:,2,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w25} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,11)
plot(T, U(:,3,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$u_{\rm w31}$$');  % in V
rotateY;
axis([0 10 -0.5 1.3]);
yticks([0 1]);
subplot(5,5,12)
plot(T, U(:,3,2), 'b', [0 120],[0 0],'k:');
yleer;
xleer;
%ylabel('{\it u}_{w32} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,13)
plot(T, U(:,3,3), 'b', [0 120],[0 0],'k:');
xleer;
%xticks([]);
%yticks([]);
yleer;
%ylabel('{\it u}_{w33} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
%xticks([]);
%yticks([]);
subplot(5,5,14)
plot(T, U(:,3,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w34} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
%xticks([]);
%yticks([]);
subplot(5,5,15)
plot(T, U(:,3,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w35} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
%xticks([]);
%yticks([]);
subplot(5,5,16)
plot(T, U(:,4,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$u_{\rm w41}$$');  % in V
rotateY;
axis([0 10 -0.5 1.3]);
yticks([0 1]);
%yticks([]);
subplot(5,5,17)
plot(T, U(:,4,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w42} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
%xticks([]);
%yticks([]);
subplot(5,5,18)
plot(T, U(:,4,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w43} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,19)
plot(T, U(:,4,4), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w44} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,20)
plot(T, U(:,4,5), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
%ylabel('{\it u}_{w45} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
subplot(5,5,21)
plot(T, U(:,5,1), 'b', [0 120],[0 0],'k:');
latexylabel('$$u_{\rm w51}$$');  % in V
rotateY;
axis([0 10 -0.5 1.3]);
yticks([0 1]);
xticks([0 5 10]);
%latexxlabel('$$t$$ in min');
subplot(5,5,22)
plot(T, U(:,5,2), 'b', [0 120],[0 0],'k:');
yleer;
%ylabel('{\it u}_{w52} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
xticks([0 5 10]);
latexxlabel('$$t$$ in min');
subplot(5,5,23)
plot(T, U(:,5,3), 'b', [0 120],[0 0],'k:');
yleer;
%ylabel('{\it u}_{w53} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
xticks([0 5 10]);
%latexxlabel('$$t$$ in min');
subplot(5,5,24)
plot(T, U(:,5,4), 'b', [0 120],[0 0],'k:');
yleer;
%ylabel('{\it u}_{w54} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
xticks([0 5 10]);
latexxlabel('$$t$$ in min');
subplot(5,5,25)
plot(T, U(:,5,5), 'b', [0 120],[0 0],'k:');
yleer;
%ylabel('{\it u}_{w55} in V');
%rotateY;
axis([0 10 -0.5 1.3]);
xticks([0 5 10]);
%latexxlabel('$$t$$ in min');


%%
%
%   bergangsfunktionen des Ofens mit 3 Heizzonen
%
%
figure(9);
Ofendrei=ss(A33, B33, C33, D33);
T=0:0.1:60;
Y=step(Ofendrei, T);
subplot(3,3,1)
plot(T, Y(:,1,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{11}$$ in K');
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
latextitle('GaAs-Anlage');
subplot(3,3,2)
plot(T, Y(:,1,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
latexylabel('$$h_{12}$$ in K');
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(3,3,3)
plot(T, Y(:,1,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
latexylabel('$$h_{13}$$ in K');
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
latextitle('3 Zonen');
subplot(3,3,4)
plot(T, Y(:,2,1), 'b', [0 120],[0 0],'k:');
xleer;
latexylabel('$$h_{21}$$ in K');
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(3,3,5)
plot(T, Y(:,2,2), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
latexylabel('$$h_{22}$$ in K');
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(3,3,6)
plot(T, Y(:,2,3), 'b', [0 120],[0 0],'k:');
xleer;
yleer;
latexylabel('$$h_{23}$$ in K');
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(3,3,7)
plot(T, Y(:,3,1), 'b', [0 120],[0 0],'k:');
latexylabel('$$h_{31}$$ in K');
rotateY;
yticks([0 1]);
latexxlabel('$$t$$ in min');
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(3,3,8)
plot(T, Y(:,3,2), 'b', [0 120],[0 0],'k:');
yleer;
latexylabel('$$h_{32}$$ in K');
rotateY;
yticks([0 1]);
latexxlabel('$$t$$ in min');
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
subplot(3,3,9)
plot(T, Y(:,3,3), 'b', [0 120],[0 0],'k:');
latexxlabel('$$t$$ in min');
latexylabel('$$h_{33}$$ in K');
rotateY;
yticks([0 1]);
axis([0 60 -0.2 1.0]);
%xticks([]);
%yticks([]);
%latexxlabel('$$t$$ in min');


%
%     Ausgabe der Bilder als .eps-Dateien
%
Epsbildc15('dnagaas');
