%   Script DSYST1O.M zur Herstellung von Bildern
%
%   Verhalten eines Systems erster Ordnung
%
% verwendet EPSBILD.M
%
% J. Lunze
% 12.12.1996
% fr 3. Auflage: 15.3.2004
% fr 5. Auflage: 18.10.2007
% fr 7. Auflage 25.5.2012
% fr 10. Auflage: 9.9.2019
%
%
clear
close all

Ad = [-0.7];
Bd = [1];
C = [1];
D = 0;
x0=[1];

%%   Eigenbewegung eines Systems erster Ordnung
%
%
%
figure(1);
subplot(4,1,[1,2]);
Y=dinitial(Ad, Bd, C, D, x0);
plot([0:max(size(Y))-1], Y, 'bo');
hold on;
T=[0:length(Y)-1];
stairs(T,Y, 'Color','b','LineWidth',1.5);
plot([0 0],[-1.3 1.3],'k:', [-2 12],[0 0],'k:', [-1 0 0], [0 0 Y(1,1)],'b','LineWidth',1.5);
latexxlabel('$$k$$');
latexylabel('$$y$$');
rotateY;
latextitle('Eigenbewegung eines Systems erster Ordnung');
axis([-1 10 -1.2 1.2]);
xticks([0 5 10]);
yticks([-1 0 1]);
hold off


%%    Erzwungene Bewegung eines Systems erster Ordnung
%
%
figure(2);
A=-1;
B=1;
C=1;
D=0;
Ta=0.5;
[Ad, Bd]=c2d(A, B, Ta);
T=[0:9];
for k=0:10
    U(k+1,1)=(-0.5)^k;
    Yu(k+1, 1)=Bd/(Ad+0.5)*Ad^k;
end;
Y=dlsim(Ad, Bd, C, D, U);
subplot(6,1,[1,2]);
T=0:length(Y)-1;
stairs(T, Y, 'Color','b','LineWidth',1.5);
hold on
plot(T, Y, 'bo', [0 0], [-1 1], 'k:', [-1 10], [0 0], 'k:', [-1 0], [0 0],'b','LineWidth',1.5);
latexylabel('$$y$$');
rotateY;
latextitle('Trajektorie eines Systems erster Ordnung');
axis([-1 6 -0.5 0.5]);
yticks([-0.5 0 0.51]);
xleer;
hold off;
subplot(6,1,[3,4]);
T=0:length(Yu)-1;
stairs(T, Yu, 'Color','b','LineWidth',1.5);
hold on
plot(T, Yu,'bo', [0 0], [-1 1], 'k:', [-1 10], [0 0], 'k:', [-1 0 0], [0 0 Yu(1,1)],'b','LineWidth',1.5);
latexylabel('$$y_{\ddot{u}}$$');
rotateY;
axis([-1 6 -0.5 0.5]);
yticks([-0.5 0 0.51]);
xleer;
hold off;
subplot(6,1,[5,6]);
T=0:length(Y)-1;
stairs(T, Y-Yu, 'Color','b','LineWidth',1.5);
hold on
plot(T, Y-Yu,'bo', [0 0], [-1 1], 'k:', [-1 10], [0 0], 'k:', [-1 0 0], [0 0 Y(1,1)-Yu(1,1)],'b','LineWidth',1.5);
latexxlabel('$$k$$');
latexylabel('$$y_{\rm s}$$');
rotateY;
axis([-1 6 -0.5 0.5]);
xticks([0 5 10]);
yticks([-0.5 0 0.51]);
hold off;


%%     Ausgabe der Bilder als .eps-Dateien
%
Epsbildc15('dsyst1o');
