%   Script DWOK.M zur Herstellung von Bildern
%
%   Entwurf zeitdiskreter Regler mit WOK
%
% verwendet EPSBILD.M
%
% J. Lunze
% 26.11.1996
% fr 3. Auflage: 15.3.2004
% fr 5. Auflage: 18.10.2007
% fr 7. Auflage: 31.3.2012
% fr 8. Auflage: 4.4.2014
% fr 10. Auflage: 9.9.2019
%
%
clear
close all
%             Einheitskreis
X=[0:0.05:2*pi];
XKreis=sin(X);
YKreis=cos(X);


%%  Lage der Pole fr bestimmte Dmpfung
%
%
figure(1);
subplot(2,2,1)
%                   Dmpfungsgerade mit Winkel 45 Grad
kend=10;
fill([0 -kend -kend 0],[0 kend -kend 0],'y');
hold on;
plot([-10,10], [0,0], 'k:', [0,0], [-10 10],'k:');
latexxlabel('Re');
latexylabel('Im');
rotateY;
%set(gca, 'XTickLabelMode', 'manual');
%set(gca, 'YTickLabelMode', 'manual');
latextitle('Kontinuierliches System');
axis([-10, 5, -7.5 7.5]);
axis('square');
xticks([-10 -5 0 5]);
yticks([-5 0 5]);
subplot(2,2,2);
for k1=0:200
    Ro(k1+1)=-k1+i*k1;
    Ru(k1+1)=-k1-i*k1;
end
Ro=Ro/10;
Ru=Ru/10;
Zo=exp(Ro);
Zu=exp(Ru);
%  Zusammensetzen zu einem geschlossenen Polygonzug
kend=length(Zu);
k2=0;
for k1=1:length(Zu)
    k2=k2+1;
    Zo(kend+k2)=Zu(kend-k2+1);
end
fill(real(Zo), imag(Zo),'y');
hold on
plot([-10,10], [0,0], 'k:', [0,0], [-10 10],'k:');
plot(XKreis, YKreis, 'k--');
latexxlabel('Re');
latexylabel('Im');
rotateY;
%set(gca, 'XTickLabelMode', 'manual');
%set(gca, 'YTickLabelMode', 'manual');
latextitle('Zeitdiskretes System');
axis('square');
axis([-1.2 1.2 -1.2 1.2])
xticks([-1 0 1]);
yticks([-1 0 1]);


%%    Bedeutung der Eigenwertlage fr das bergangsverhalten
%
%
figure(2)
plot(XKreis, YKreis, 'k:');
axis('square');
hold on
plot([-2 2], [0, 0], 'k:', [0,0], [-2, 2], 'k:');
%    Linien konstanter Dmpfung d
W=[0:0.1:20]';
for d=[0.2, 0.5, 0.8]
Ro=-d*W+i*W*sqrt(1-d*d);
Ru=-d*W-i*W*sqrt(1-d*d);
Zo=exp(Ro);
Zu=exp(Ru);
plot(real(Zo), imag(Zo), 'b');
end;
latextitle('Linien konstanter D\"ampfung $$d=0.2, 0.8$$');
latexylabel('Im');
rotateY;
latexxlabel('Re');
axis([-1.2, 1.2, 0, 1.2]);
xticks([-1 0 1]);
yticks([-1 0 1]);
hold off;


figure(3)
plot(XKreis, YKreis, 'k--');
axis('square');
hold on
plot([-2 2], [0, 0], 'k:', [0,0], [-2, 2], 'k:');
%    Linien konstanter Beruhigungszeit T_5%
W=[0:0.1:20]';
for d=[0.2, 0.8]
Ro=-d*W+i*W*sqrt(1-d*d);
Ru=-d*W-i*W*sqrt(1-d*d);
Zo=exp(Ro);
Zu=exp(Ru);
plot(real(Zo), imag(Zo), 'b', real(Zu), imag(Zu), 'b');
end;
latextitle('Linien konstanter D\"ampfung $$d=0.2, 0.8$$');
latexylabel('Im');
rotateY;
latexxlabel('Re');
axis([-1.2, 1.2, -1.2, 1.2]);
xticks([-1 0 1]);
yticks([-1 0 1]);
hold off;

%%     Ausgabe der Bilder als .eps-Dateien
%
Epsbildc15('dwok');
