%   Script EigenwDiskr.M zur Herstellung von Bildern
%
%   Eigenwerte des zeitdiskreten Modells
%
% J. Lunze
% 
% fr 6. Auflage: 9.1.2010
% fr 7. Auflage 31.3.2012
% fr 10. Auflage: 9.9.2019
% 
%
%
clear
close all

A = [-0.5 1; -1 -0.5];


figure(1);
k=0;
for T=0.001:0.1:100
    k=k+1;
    P(k, 1:2)=eig(expm(A*T));
end
plot(real(P(:, 1)), imag(P(:,1)), 'b');
hold on;
plot(real(P(:, 2)), imag(P(:,2)), 'b');
plot([-1 1.2],[0 0],'k:', [0 0],[-1 1],'k:');
latexxlabel('Re');
latexylabel('Im');
rotateY;
axis([-0.3 1.1 -0.7 0.7]);
xticks([0 0.5 1]);
yticks([-0.5 0 0.5]);
axis('square');

%
%     Ausgabe der Bilder als .eps-Dateien
%
Epsbildc15('EigenwDiskr');
