%   Script LANDW.M zur Herstellung von Bildern
%
%   Preisdynamik in der Landwirtschaft
%
% J. Lunze
% 3.4.2000
%  fr 3. Auflage: 15.3.2004
% fr 5. Auflage: 18.10.2007
% fr 7. Auflage 31.3.2012
% fr 10. Auflage: 12.9.2019
%
%
clear
close all

Bd = [1];
C = [1];
D = 0;
x0=[1];


%%
%
%   Preisdynamik bei unterschiedlichen Werten von ke*l1*l2
%
%
%
figure(1);
ke=0.95;
l1=0.8;
l2=0.9;
Ts=1;                      % Abtastzeit 1 Jahr
Ad = [-ke*l1*l2];
Y=dinitial(Ad, Bd, C, D, 0.8);
subplot(6,1,[1,2]);
T=0:length(Y)-1;
stairs(T, Y, 'Color','b','LineWidth',1.5);
hold on
plot(T, Y, 'bo', [0 20],[0 0],'k:');
latextitle('Preisdynamik');
xleer;
latexylabel('Preis');
rotateY;
axis([0 10 -2 2]);
yticks([-2 0 2]);
%
subplot(3, 1, 2)
Ad = [-1];
Y=dinitial(Ad, Bd, C, D, 0.8);
T=0:length(Y)-1;
stairs(T,Y, 'Color','b','LineWidth',1.5);
hold on
plot(T, Y, 'bo', [0 20],[0 0],'k:');
latexylabel('Preis');
rotateY;
xleer;
axis([0 10 -2 2]);
yticks([-2 0 2]);
%
subplot(3, 1, 3)
Ad = [-1.2];
Y=dinitial(Ad, Bd, C, D, 0.8);
T=0:length(Y)-1;
stairs(T,Y, 'Color','b','LineWidth',1.5);
hold on
plot(T, Y, 'bo', [0 20],[0 0],'k:');
latexylabel('Preis');
rotateY;
latexxlabel('$$t$$  in Jahren');
axis([0 10 -2 2]);
yticks([-2 0 2]);
xticks([0 5 10]);

%%     Ausgabe der Bilder als .eps-Dateien
%
Epsbildc15('landw');
