%   Script NICHTST.M zur Herstellung von Bildern
%
%   Beispiel fr ein nichtsteuerbares System
%
% verwendet EPSBILD.M
%
% J. Lunze
% 2.10.1996
% fr 3. Auflage: 15.3.2003
% fr 5. Auflage: 18.10.2007
% fr 7. Auflage 31.3.2012
% fr 10. Auflage: 9.9.2019
%
%
close all
clear all
A=[-1 1
    6 -2];
B= [1
    2];
[V, P]=eig(A);
Btilde=inv(V)*B;
figure(1);
X1=[-3:0.1:3];
X2=2*X1;
%  Bildentzerrung  10.5cm : 6.5cm
a=10.5/6.5;
subplot(2, 2, 1);
plot(X1, X2, 'b', [0 0],[-3 3],'k:',[-3 3],[0 0],'k:');
latextitle('Steuerbarer Unterraum');
latexxlabel('$$x_1$$');
latexylabel('$$x_2$$');
rotateY;
axis([-2 2 -2 2]);
xticks([-2 0 2]);
yticks([-2 0 2]);
axis('square');
X2=0*X1;
subplot(2, 2, 2);
plot(X1, X2, 'b', [0 0],[-3 3],'k:',[-3 3],[0 0],'k:');
latexxlabel('$$x_1$$');
latexylabel('$$x_2$$');
rotateY;
axis([-2 2 -2 2]);
xticks([-2 0 2]);
yticks([-2 0 2]);
axis('square');




%
%     Ausgabe der Bilder als .eps-Dateien
%
Epsbildc15('nichtst');
