function      gerkreis(M, R)
%
%   Funktion GERKREIS.M zum Zeichnen von Kreisen
%   in der komplexen Ebene (Gershgorinkreise)
%
%    GERKREIS(Mittelpunkt, Radius)
%
%    Mittelpunkt = komplexe Zahl
%    Radius      = reelle Zahl
%
% J. Lunze
% 16.10.1996
% fr 3. Auflage: 11.11.2003
% fr 5. Auflage: 18.10.2007
% fr 10. Auflage: 9.9.2019
%
R=abs(R);  % wenn R komplexwertig, wird mit Betrag gerechnet
k1 = 0;
    RealM = real(M);
    ImagM = imag(M);
for phi=0:0.1:2*pi
    k1=k1+1;
    Kreis(k1)=M+R*cos(phi)+i*R*sin(phi);
end;
plot(real(Kreis(:)), imag(Kreis(:)), 'b');
